<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 10/7/2018
 * Time: 1:37 AM
 */
include '../comun/validarSesion.php';
include '../comun/uploadImage.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    $ImageUploader = new uploadImage();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['imagen']) && isset($_REQUEST['id_amenidad'])) {
                $fotoamenidad = R::dispense('fotoamenidad');
                $fotoamenidad->id_amenidad = $_REQUEST['id_amenidad'];
                $imagen = $_REQUEST['imagen'];
                $fotoamenidad->imagen = $ImageUploader->subirImagen($imagen);
                $fotoamenidad->estado = 1;
                $id1 = R::store($fotoamenidad);
                include '../comun/mensajeCreado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}